vmbuilder aborts with "locale-gen does not recognize your locale"

Bug #523589 reported by Marc Deslauriers on 2010-02-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
vm-builder (Ubuntu)
Medium
Unassigned

Bug Description

Trying to create a new vm, I get the following:

2010-02-17 22:01:03,177 DEBUG : add_part - begin 0, length 4096, end 4095
2010-02-17 22:01:03,177 DEBUG : add_part - begin 4096, length 1024, end 5119
2010-02-17 22:01:03,177 DEBUG : ip: dhcp
2010-02-17 22:01:03,182 DEBUG : Checking if --exec PATH exists: /tmp/vm-new-setup-negkZE
2010-02-17 22:01:03,182 DEBUG : Checking permissions of --exec PATH: /tmp/vm-new-setup-negkZE
2010-02-17 22:01:03,184 DEBUG : ['locale-gen', 'en_US.utf8']
2010-02-17 22:01:03,189 DEBUG : Oh, dear, an exception occurred
2010-02-17 22:01:03,190 INFO : Cleaning up
2010-02-17 22:01:03,190 DEBUG : ['rm', '/tmp/tmpLdrkFP']
locale-gen does not recognize your locale 'en_US.utf8'
error: failed to get domain 'test-karmic-amd64'
error: Domain not found: no domain with matching name 'test-karmic-amd64'
Problem creating virtual machine 'test-karmic-amd64' (doesn't exist)
ERRORS FOUND

ProblemType: Bug
Architecture: amd64
Date: Wed Feb 17 22:07:13 2010
DistroRelease: Ubuntu 10.04
EcryptfsInUse: Yes
NonfreeKernelModules: nvidia
Package: python-vm-builder 0.11.3-0ubuntu8
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_CA.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-13.18-generic
SourcePackage: vm-builder
Uname: Linux 2.6.32-13-generic x86_64

Related branches

Marc Deslauriers (mdeslaur) wrote :
Marc Deslauriers (mdeslaur) wrote :

en_US.utf8 is a valid locale, but is not in a format locale-gen recognizes. Vm-builder shouldn't use locale-gen to validate the locale specified by the user.

Chuck Short (zulcss) on 2010-02-23
Changed in vm-builder (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Soren Hansen (soren) wrote :

I've patched VMBuilder to automatically turn $LANG into a format that makes locale-gen happy.

Changed in vm-builder (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vm-builder - 0.12.1-0ubuntu1

---------------
vm-builder (0.12.1-0ubuntu1) lucid; urgency=low

  * New upstream, bugfix-only release. (LP: #303882, #523589, #261702,
    #284620, #527240, #527253)
 -- Soren Hansen <email address hidden> Wed, 24 Feb 2010 23:52:03 +0100

Changed in vm-builder (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers